Besoin d'un conseil pour la version des drivers Nvidia


#1

Bonsoir à tous,

Je viens d’arriver sur Debian 3.1 64Bits.

Je suis en train de configurer mes dépôts comme ceci:
[b]

deb file:///cdrom/ sarge main

deb cdrom:[Debian GNU/Linux 3.1 r0a Sarge - Official amd64 Binary-2 (20050613)]/ unstable con$deb cdrom:[Debian GNU/Linux 3.1 r0a Sarge - Official amd64 Binary-1 (20050613)]/ unstable con$
deb security.debian.org/ stable/updates main contrib
deb security.debian.org/ stable/updates main contrib non-free
deb ftp://ftp.fr.debian.org/debian/ stable main contrib non-free
deb ftp://ftp.u-strasbg.fr/debian/ stable main contrib non-free[/b]

Le problème c’est que lorsque j’effecue par la suite un apt-get update j’obtiens ceci (entre autres):

Err ftp://ftp.fr.debian.org stable/main Packages
Unable to fetch file, server said '/debian/dists/stable/main/binary-amd64/Packages.gz: No such file or directory ’

Bah oui… ce n’est pas “binary-amd64” qu’il faut chercher mais “binary-ia64” !!

Comment expliquer ceci à apt-get?

Merci,

Alex.


#2

tiens, je viens de trouver un mirroir qui utilise l’appelation “binary-amd64”:

ftp://ftp.fr.debian.org/debian-amd64/

Mais tout les autre sont en “binary-ia64”… :confused:


#3

je te suis pas trop tu es en ia64 ou en amd64

si tu es en ia64 tu devrais essayé ceci
http://ftp2.fr.debian.org/debian/dists/sarge/


#4

Heu… logiquement en amd64… ia64 c’est intel?

Je suis un peu perdu là… apt-get devrait le savoir par défaut non?!

J’ai un amd64 et j’ai installé debian 3.1 64 bits. ça c’est sûre. J’ai fait une bourde là? :confused:


#5

1/ forum.debian-fr.org/viewtopic.php?t=2902

2/ quel est le resultat de cette commande?

en particulier celle-ci:


#6

Ok:

Debian:~# uname -a
Linux Debian 2.6.8-11-amd64-k8 #1 Mon Oct 3 00:29:51 CEST 2005 x86_64 GNU/Linux
Debian:~# uname -m
x86_64

ça me rassure


#7

[quote=“Jelly”]Ok:

Debian:~# uname -a
Linux Debian 2.6.8-11-amd64-k8 #1 Mon Oct 3 00:29:51 CEST 2005 x86_64 GNU/Linux
Debian:~# uname -m
x86_64

ça me rassure[/quote]

c’est bien de l’amd64 alors, rien a voir avec de l’ia64.

dès lors, essaye avec un autre serveur, il y en a une floppée:
debian.org/mirror/list

cheers.


#8

ok, mais ces satanés dépôts, ils sont où?
Je sais que c’est couillon comme question, mais au rythme auquel je vais, j’ai le FBI à ma porte pour flood des serveurs google!!

merci quand même :wink:


#9

[quote=“Jelly”]ok, mais ces satanés dépôts, ils sont où?
Je sais que c’est couillon comme question, mais au rythme auquel je vais, j’ai le FBI à ma porte pour flood des serveurs google!!

merci quand même :wink:[/quote]

relis mon post à ton aise.

clique sur le lien qui y est mentionné.

fais ton choix dans la liste présentée.

modifie ton sources.list et réessaie avec ton nouveau server.

le fbi a d’autres chats à fouetter.

bonne nuit.


#10

oh! j’avais pas vu le lien autant pour moi -_-

Je fatigues…

Merci pour ton aide.


#11

Si tu es débutant, je suis pas sur que le fait d’installer une distribution 64 bit serait une bonne chose, car de nombreuses appli de fonctionne pas a moins de faire chroot 32.

perso je te conseillerai d’installer un version 32 bit et de te faire la main pour revenir sur 64 bit.


#12

au passage:

8)


#13

[quote=“burinho”]Si tu es débutant, je suis pas sur que le fait d’installer une distribution 64 bit serait une bonne chose, car de nombreuses appli de fonctionne pas a moins de faire chroot 32.

perso je te conseillerai d’installer un version 32 bit et de te faire la main pour revenir sur 64 bit.[/quote]

Apparement c’est un peu le même problème sur toutes les distrib’… J’hésite…

Ah tiens:

[quote]- Java de Sun : pas de plugin pour le navigateur. Heureusement que Konqueror fait sa popote dans son coin pour afficher le java sans utiliser le plugin. Ca dépanne sans être vraiment parfait.

  • Flash : facile, ya rien. A moins d’installer tout le nécessaire pour un navigateur convenable dans le chroot 32 bits. Non merci, je vais attendre/m’en passer.

  • Doom 3 : J’ai voulu tester quand même, maintenant que j’ai acheté un monstre. Ah mais il est compilé en 32bits. Donc il tente d’utiliser les libs openGL “du Xfree base” du chroot 32bits. Forcément, ça marche pas. En plus, il quitte sans remettre la résolution d’écran (pas bien grave) et en bloquant la souris (plus gênant).[/quote]

Ok, c’est exactement le même problème que sur Fedora/Ubunutu…etc…

Si je me base sur une 32bits, sera t-il possible de migrer en 64bits par une mise à jour?

ps:
apt-config dump | grep "Architecture"
APT::Architecture “amd64”;


#14

[quote=“burinho”]Ah tiens:

  • Java de Sun : pas de plugin pour le navigateur. Heureusement que Konqueror fait sa popote dans son coin pour afficher le java sans utiliser le plugin. Ca dépanne sans être vraiment parfait.

(…)[/quote]

pas d’accord:

forum.debian-fr.org/viewtopic.php?t=2898
voir méthode #1 ou #3

pour le reste (flash, doom 3), ma foi, j’en sais rien.


#15

personnellement je dirais que oui, je sais pas trop si une mise a jour est possible de 32 vers 64, mais de nombreux personnes plus pros que moi te le dirons.

sinon tu pourrras toujours plus tard supprimer ta version 32 et installer une 64, il te suffira de ne pas supprimer ton /home sans aucune perte de donnée contrairement à windows.


#16

burinho

Oui, c’est vrai après tout. Et puis après avoir essayé Fedora/Ubuntu/gentoo, les trois en 64 bits, je dois dire que c’est un peu fatiguant. Ca fait 2-3 mois que j’erre, seul, à la recherche de LA distribution (ça devient sentimentale) ;p


#17

J’ai remarquer que certains mirroirs propose une debian 3.1r2, alors que sur le site officiel, la dernière version est la 3.1r1… Savez-vous la différence/explication?


#18

La nouvelle release de Sarge 3.1, la r2 est sortie :slightly_smiling:


#19

hum… “l’officieu” dépasse “lofficiel” … nice :wink:


#20

Re-bonsoir,

Je suis donc passé à une Debian 386. Mes précédents problèmes sont résolus. :slightly_smiling:

J’ai des petites questions, j’en profite pour les poser ici:

_Lorsque l’on fait un “apt-upgrade”, peut-on revenir en arrière?
_Comment lancer une application dans le terminal? :blush: (j’ai installer Bittorrent-gui, mais il n’apparaît pas dans mon menu).
_Lorsque j’ai installé les drivers Nvidia, j’étais bien “root” mais positionné dans /usr/src… est-ce-que cela pose problème? Y a-t-il un risque de perdre mes fichiers Nvidia? Par ailleur glxgears me donne un petit 4000fps (8000 sur les autres distributions testées et 300 sans drivers)… Vous avez dit “bêtise”?

Merci pour votre patience :unamused:

Alex